/*
 * Button.h
 *
 *  Created on: Mar 21, 2011
 *      Author: lipari
 */

#ifndef BUTTON_H_
#define BUTTON_H_

#include <vector>
#include <string>

class ButtonListener;

class Button {
	std::vector<ButtonListener *> ls;
	std::string label;
protected:
	void notify();
public:
	Button(const std::string &n);
	void addListener(ButtonListener &l);
	virtual ~Button();
};

#endif /* BUTTON_H_ */
