//============================================================================
// Name        : classic_observer.cpp
// Author      : G Lipari
// Version     :
// Copyright   : 
// Description : Hello World in C++, Ansi-style
//============================================================================

#include <iostream>
using namespace std;

#include "Application.h"
#include "PressButton.h"

int main()
{
	Application appA("App_A");
	Application appB("App_B");

	PressButton b1("Ok");
	PressButton b2("Cancel");

	b1.addListener(appA);
	b2.addListener(appA);
	b1.addListener(appB);


	b1.press();
	b2.press();
	b2.release();
	b1.release();

	return 0;
}
